package org.acme.plainclient;

import javax.inject.Inject;

import org.acme.stockquoteservice.api.StockQuoteService;
import org.glassfish.osgicdi.OSGiService;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class OSGiPlainClientActivator implements BundleActivator{

	@Inject
    @OSGiService(/* dynamically bound */ dynamic = true,
            /* wait for 1 min */ waitTimeout=1*1000)
    StockQuoteService sqs;
	
	public void start(BundleContext arg0) throws Exception {
		 System.out.println("OSGiPlainClientActivator::start");
	     System.out.println("Obtained StockQuotes:" + sqs.getSymbols());
	     System.out.println("OSGiPlainClientActivator::getting Stock quote service successful");
	}

	public void stop(BundleContext arg0) throws Exception {
		System.out.println("OSGiPlainClientActivator stopped");	
	}
}
